Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.worklist.api
Class TaskConstruction

    java.lang.Object
      com.bea.wli.worklist.api.TaskCreation
          com.bea.wli.worklist.api.TaskConstruction

All Implemented Interfaces:
  Serializable, Cloneable

    public final class TaskConstruction

extends TaskCreation
implements Serializable, Cloneable

This class provides information for constructing a task. It is necessary to specify at least the task plan and task name.

The following defaults are used if not specified:
priority => 1.
owner => the current user.

Since:
  9.2
See Also:
  Serialized Form

Constructor Summary
`TaskConstruction()`
`TaskConstruction(TaskCreation taskCreation)` Deprecated. Use TaskConstruction(TaskConstruction) instead

Method Summary
`Object` | `clone()`
`AssignmentInstructions` | `getAssignmentInstructions()`
`String` | `getConstructor()`
`ContainerHandle` | `getCreatingContainerHandle()` The handle to the container that is creating this task.
`Date` | `getCreationDate()`
`BusinessTime` | `getCurrentStepCompletionDueBusinessTime()`
`Date` | `getCurrentStepCompletionDueDate()`
`Map<String,PropertyInstance>` | `getInitialPropertyValues()`
`Map<String,Interval>` | `getStepTimeEstimates()`
`TaskPlanId` | `getTaskPlanId()`
`Interval` | `getTaskTimeEstimate()`
`void` | `setAssignmentInstructions(AssignmentInstructions assignmentInstructions)`
`void` | `setConstructor(String constructor)`
`void` | `setCreatingContainerHandle(ContainerHandle handle)` Set the handle to the container that is creating this task.
`void` | `setCreationDate(Date creationDate)`
`void` | `setCurrentStepCompletionDueBusinessTime(BusinessTime currentStepCompletionDueBusinessTime)`
`void` | `setCurrentStepCompletionDueDate(Date currentStepCompletionDueDate)`
`void` | `setInitialPropertyValues(Map<String,PropertyInstance> initialPropertyValues)`
`void` | `setStepTimeEstimates(Map<String,Interval> stepTimeEstimates)`
`void` | `setTaskPlanId(TaskPlanId taskPlanId)`
`void` | `setTaskTimeEstimate(Interval taskTimeEstimate)`

Methods inherited from class com.bea.wli.worklist.api.TaskCreation
`getAssignToUser, getAssignToUserInGroup, getAssignToUsersAndGroups, getCanBeAborted, getCanBeReassigned, getCanBeReturned, getClaimDueBusinessTime, getClaimDueDate, getComment, getCompletionDueBusinessTime, getCompletionDueDate, getDescription, getName, getOwner, getPriority, getRequest, setAssignToUser, setAssignToUserInGroup, setAssignToUsersAndGroups, setCanBeAborted, setCanBeReassigned, setCanBeReturned, setClaimDueBusinessTime, setClaimDueDate, setComment, setCompletionDueBusinessTime, setCompletionDueDate, setDescription, setName, setOwner, setPriority, setRequest`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskConstruction

    public TaskConstruction()

### TaskConstruction

    public TaskConstruction(TaskCreation taskCreation)

  Deprecated. Use TaskConstruction(TaskConstruction) instead

  Make a shallow copy of the given TaskCreation. The individual fields of the new TaskConstruction receive the same objects as are in the fields of the given TaskCreation. Changes to the individual fields that are mutable on the original TaskCreation will have effect in the copy.

Method Detail

### getTaskPlanId

    public TaskPlanId getTaskPlanId()

### setTaskPlanId

    public void setTaskPlanId(TaskPlanId taskPlanId)

### getCreatingContainerHandle

    public ContainerHandle getCreatingContainerHandle()

  The handle to the container that is creating this task.

  See Also:
    `setCreatingContainerHandle(ContainerHandle)`

### setCreatingContainerHandle

    public void setCreatingContainerHandle(ContainerHandle handle)

  Set the handle to the container that is creating this task. Note, this handle is used only for tracking and reporting purposes.

### getCreationDate

    public Date getCreationDate()

### setCreationDate

    public void setCreationDate(Date creationDate)

### getCurrentStepCompletionDueDate

    public Date getCurrentStepCompletionDueDate()

### setCurrentStepCompletionDueDate

    public void setCurrentStepCompletionDueDate(Date currentStepCompletionDueDate)

### getCurrentStepCompletionDueBusinessTime

    public BusinessTime getCurrentStepCompletionDueBusinessTime()

### setCurrentStepCompletionDueBusinessTime

    public void setCurrentStepCompletionDueBusinessTime(BusinessTime currentStepCompletionDueBusinessTime)

### getTaskTimeEstimate

    public Interval getTaskTimeEstimate()

### setTaskTimeEstimate

    public void setTaskTimeEstimate(Interval taskTimeEstimate)

### getStepTimeEstimates

    public Map<String,Interval> getStepTimeEstimates()

### setStepTimeEstimates

    public void setStepTimeEstimates(Map<String,Interval> stepTimeEstimates)

### getAssignmentInstructions

    public AssignmentInstructions getAssignmentInstructions()

### setAssignmentInstructions

    public void setAssignmentInstructions(AssignmentInstructions assignmentInstructions)

### getInitialPropertyValues

    public Map<String,PropertyInstance> getInitialPropertyValues()

### setInitialPropertyValues

    public void setInitialPropertyValues(Map<String,PropertyInstance> initialPropertyValues)

### getConstructor

    public String getConstructor()

### setConstructor

    public void setConstructor(String constructor)

### clone

    public Object clone()

  Overrides:
    `clone` in class `TaskCreation`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD